# ``twisted`.`internet`.`error`.`ConnectionDone``

class documentation

`class ConnectionDone(ConnectionClosed): (source)`

Known subclasses: `twisted.internet.error.ProcessDone`

View In Hierarchy

Undocumented

Method | `__str__` | Undocumented
Constant | `MESSAGE` | Undocumented
Class Variable | `__doc__` | Undocumented

def __str__(self): (source)

Undocumented

Returns
`str` | Undocumented

MESSAGE: `str` = (source)
overridden in `twisted.internet.error.ProcessDone`

Undocumented

Value

    'Connection was closed cleanly'

__doc__: `str` = (source)
overridden in `twisted.internet.error.ProcessDone`

Undocumented